Zebre Parma vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Full time

18–19

Match report
Dragons RFC beat Zebre Parma 19-18 away from home at Stadio Sergio Lanfranchi, Parma in round 16 of the United Rugby Championship on Friday, 24 April 2026.
The win ends a run of three defeats for Dragons RFC. Zebre Parma have now lost 14 in a row. Ru Campbell refereed.
Written automatically from the match data; updated as results come in.
Head to head
4
Zebre Parma wins (44%)
0
Draws (0%)
5
Dragons RFC wins (56%)
Last 9 meetings, since October 2020
Biggest Zebre Parma win
26–15
27 Feb 2021
Biggest Dragons RFC win
47–7
29 Oct 2022
Last 5 meetings
- 24 Apr 2026 · United Rugby ChampionshipZebre Parma18Dragons RFC1924 Apr 2026Zebre Parma18–19Dragons RFCUnited Rugby Championship
- 11 Apr 2026 · Challenge CupZebre Parma32Dragons RFC3511 Apr 2026Zebre Parma32–35Dragons RFCChallenge Cup
- 28 Feb 2025 · United Rugby ChampionshipZebre Parma31Dragons RFC2128 Feb 2025Zebre Parma31–21Dragons RFCUnited Rugby Championship
- 29 Mar 2024 · United Rugby ChampionshipDragons RFC20Zebre Parma1329 Mar 2024Dragons RFC20–13Zebre ParmaUnited Rugby Championship
- 13 Jan 2024 · Challenge CupZebre Parma20Dragons RFC1713 Jan 2024Zebre Parma20–17Dragons RFCChallenge Cup
Lineups
Avg. age
26
Avg. age
29.3
Zebre Parma
- 1Paolo Buonfiglio(31)
- 2Tommaso Di Bartolomeo(25)
- 3Ion Neculai(25)
- 4Matteo Canali(28)
- 5Leonard Krumov(30)
- 6Alessandro Ortombina(24)
- 7David Odiase(23)
- 8Giovanni Licata(29)
- 9Alessandro Fusco(26)
- 10Giacomo Da Re(27)
- 11Simone Gesi(25)
- 12Damiano Mazza(27)
- 13Giulio Bertaccini(25)
- 14Malik Faissal(20)
- 15Giovanni Montemauri(25)
Replacements
- 16Shilo Klein(27)
- 17Muhamed Hasa(25)
- 18Matteo Nocera(27)
- 19Bautista Stavile Bravin(29)
- 20Samuele Locatelli(25)
- 21Thomas Dominguez(26)
- 22Marco Zanon(29)
- 23Jacopo Trulla(26)
Dragons RFC
- 1Rodrigo Martinez(28)
- 2Brodie Coghlan(25)
- 3Dillon Lewis(30)
- 4Levi Douglas(31)
- 5Ben Carter(25)
- 6Shane Lewis-Hughes(29)
- 7Thomas Young(34)
- 8Aaron Wainwright(29)
- 9Rhodri Williams(33)
- 10Marthinus Herbert De Beer(30)
- 11Jared Rosser(28)
- 12Aneurin Owen(26)
- 13Fetuli Paea(32)
- 14David Richards(27)
- 15Angus O'Brien(32)
Replacements
- 16Elliot Dee(32)
- 17Rhodri Jones(34)
- 18Owain James(21)
- 19Matthew Screech(33)
- 20Seb Davies(30)
- 21Morgan Lloyd(24)
- 22Harri Ackerman(21)
- 23Huw Anderson(22)